WebAnnotationSet (Apache Tomcat 9.0.71 API Documentation)

Package org.apache.catalina.startup

## Class WebAnnotationSet

- java.lang.Object
- - org.apache.catalina.startup.WebAnnotationSet

-     public class WebAnnotationSet
      extends java.lang.Object

  AnnotationSet for processing the annotations of the web application classes (`/WEB-INF/classes` and `/WEB-INF/lib`).

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static StringManager` | `sm` | The string resources for this package.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WebAnnotationSet()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static void` | `addResource​(Context context, Resource annotation)` | Process a Resource annotation to set up a Resource.
    `protected static void` | `addResource​(Context context, Resource annotation, java.lang.String defaultName, java.lang.Class<?> defaultType)` |
    `static void` | `loadApplicationAnnotations​(Context context)` | Process the annotations on a context.
    `protected static void` | `loadApplicationFilterAnnotations​(Context context)` | Process the annotations for the filters.
    `protected static void` | `loadApplicationListenerAnnotations​(Context context)` | Process the annotations for the listeners.
    `protected static void` | `loadApplicationServletAnnotations​(Context context)` | Process the annotations for the servlets.
    `protected static void` | `loadClassAnnotation​(Context context, java.lang.Class<?> clazz)` | Process the annotations on a context for a given className.
    `protected static void` | `loadFieldsAnnotation​(Context context, java.lang.Class<?> clazz)` |
    `protected static void` | `loadMethodsAnnotation​(Context context, java.lang.Class<?> clazz)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

      The string resources for this package.

  - ### Constructor Detail

    - #### WebAnnotationSet

          public WebAnnotationSet()

  - ### Method Detail

    - #### loadApplicationAnnotations

          public static void loadApplicationAnnotations​(Context context)

      Process the annotations on a context.
      Parameters:
        `context` - The context which will have its annotations processed

    - #### loadApplicationListenerAnnotations

          protected static void loadApplicationListenerAnnotations​(Context context)

      Process the annotations for the listeners.
      Parameters:
        `context` - The context which will have its annotations processed

    - #### loadApplicationFilterAnnotations

          protected static void loadApplicationFilterAnnotations​(Context context)

      Process the annotations for the filters.
      Parameters:
        `context` - The context which will have its annotations processed

    - #### loadApplicationServletAnnotations

          protected static void loadApplicationServletAnnotations​(Context context)

      Process the annotations for the servlets.
      Parameters:
        `context` - The context which will have its annotations processed

    - #### loadClassAnnotation

          protected static void loadClassAnnotation​(Context context,
                                                    java.lang.Class<?> clazz)

      Process the annotations on a context for a given className.
      Parameters:
        `context` - The context which will have its annotations processed
        `clazz` - The class to examine for Servlet annotations

    - #### loadFieldsAnnotation

          protected static void loadFieldsAnnotation​(Context context,
                                                     java.lang.Class<?> clazz)

    - #### loadMethodsAnnotation

          protected static void loadMethodsAnnotation​(Context context,
                                                      java.lang.Class<?> clazz)

    - #### addResource

          protected static void addResource​(Context context,
                                            Resource annotation)

      Process a Resource annotation to set up a Resource. Ref JSR 250, equivalent to the resource-ref, message-destination-ref, env-ref, resource-env-ref or service-ref element in the deployment descriptor.
      Parameters:
        `context` - The context which will have its annotations processed
        `annotation` - The annotation that was found

    - #### addResource

          protected static void addResource​(Context context,
                                            Resource annotation,
                                            java.lang.String defaultName,
                                            java.lang.Class<?> defaultType)